Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Interface SSHAuthenticator

All Known Implementing Classes:
  SSH1Example, SSHPropertyHandler

public interface SSHAuthenticator

Method Summary
`int[]` | `getAuthTypes(SSHClientUser origin)`
`java.lang.String` | `getChallengeResponse(SSHClientUser origin, java.lang.String challenge)`
`int` | `getCipher(SSHClientUser origin)`
`SSHRSAKeyFile` | `getIdentityFile(SSHClientUser origin)`
`java.lang.String` | `getIdentityPassword(SSHClientUser origin)`
`java.lang.String` | `getPassword(SSHClientUser origin)`
`java.lang.String` | `getUsername(SSHClientUser origin)`
`boolean` | `verifyKnownHosts(RSAPublicKey hostPub)`

Method Detail

### getUsername

    public java.lang.String getUsername(SSHClientUser origin)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPassword

    public java.lang.String getPassword(SSHClientUser origin)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getChallengeResponse

    public java.lang.String getChallengeResponse(SSHClientUser origin,
                                                 java.lang.String challenge)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAuthTypes

    public int[] getAuthTypes(SSHClientUser origin)

### getCipher

    public int getCipher(SSHClientUser origin)

### getIdentityFile

    public SSHRSAKeyFile getIdentityFile(SSHClientUser origin)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIdentityPassword

    public java.lang.String getIdentityPassword(SSHClientUser origin)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### verifyKnownHosts

    public boolean verifyKnownHosts(RSAPublicKey hostPub)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD